Change in Yarn

yzolotarev's Avatar

yzolotarev

23 Aug, 2019 03:35 PM

Hello,

https://ci.appveyor.com/project/webatomninja/ninjacoding-spa
a project that I built recently has just failed to build... can you give me a hint why? I have not changed anything in my local deployment, just added a few lines of HTML but suddenly got this build error, where there any crucial updates recenly? Thank you.

  1. 1 Posted by yzolotarev on 23 Aug, 2019 03:39 PM

    yzolotarev's Avatar

    error source-map@0.7.3: The engine "node" is incompatible with this module. Expected version ">= 8". Got "6.17.1"

    This is what I am getting now...
    Not sure what changed.

  2. Support Staff 2 Posted by Owen McDonnell on 23 Aug, 2019 05:33 PM

    Owen McDonnell's Avatar

    Can you share your build config in yaml format.

  3. 3 Posted by yzolotarev on 24 Aug, 2019 05:22 PM

    yzolotarev's Avatar

    Sure, please find it attached. Thank you.

  4. Support Staff 4 Posted by Owen McDonnell on 26 Aug, 2019 06:17 AM

    Owen McDonnell's Avatar

    And if you hit RE-BUILD COMMIT button on the last successful build does it still succeed?

  5. 5 Posted by yzolotarev on 26 Aug, 2019 07:52 AM

    yzolotarev's Avatar

    Last successfull build fails for the same reason...

    [2/4] Fetching packages...
    info fsevents@1.2.9: The platform "win32" is incompatible with this module.
    info "fsevents@1.2.9" is an optional dependency and failed compatibility check. Excluding it from installation.
    error source-map@0.7.3: The engine "node" is incompatible with this module. Expected version ">= 8". Got "6.17.1"
    error Found incompatible module.
    info Visit https://yarnpkg.com/en/docs/cli/install for documentation about this command.
    Command exited with code 1

  6. Support Staff 6 Posted by Owen McDonnell on 26 Aug, 2019 05:31 PM

    Owen McDonnell's Avatar

    Can you tell me why you didn't make the yarn cache dependent on the yarn.lock file?
    Anyway, try a build without the yarn cache and let us know the result.

  7. 7 Posted by yzolotarev on 27 Aug, 2019 01:45 PM

    yzolotarev's Avatar

    Thank you, looks like I just had to change the nodejs_version in the yml to be 8. The build seems to work now.

  8. Owen McDonnell closed this discussion on 27 Aug, 2019 06:37 PM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac